<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Package index • pkgpins</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Package index"><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">pkgpins</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.8.0.9000</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/rpkg.dev/pkgpins/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-index">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Package index</h1>
    </div>

    <div class="section level2">
      <h2 id="high-level-functions">High-level functions<a class="anchor" aria-label="anchor" href="#high-level-functions"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="with_cache.html">with_cache()</a></code>

        </dt>
        <dd>Cache the result of an expression</dd>
      </dl><dl><dt>

          <code><a href="cachely.html">cachely()</a></code>

        </dt>
        <dd>Add caching to a function</dd>
      </dl></div><div class="section level2">
      <h2 id="low-level-functions">Low-level functions<a class="anchor" aria-label="anchor" href="#low-level-functions"></a></h2>




    </div><div class="section level2">

      <h3 id="manage-package-cache">Manage package cache<a class="anchor" aria-label="anchor" href="#manage-package-cache"></a></h3>
      <div class="section-desc"><p>Functions to manage package user-cache pins board(s).</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="board.html">board()</a></code>

        </dt>
        <dd>Get a package's user-cache pins board</dd>
      </dl><dl><dt>

          <code><a href="path_cache.html">path_cache()</a></code>

        </dt>
        <dd>Get a package's user-cache pins board path</dd>
      </dl><dl><dt>

          <code><a href="ls_cache.html">ls_cache()</a></code>

        </dt>
        <dd>List all objects in a package's user-cache pins board</dd>
      </dl><dl><dt>

          <code><a href="clear_cache.html">clear_cache()</a></code>

        </dt>
        <dd>Clear a package's user-cache pins board</dd>
      </dl><dl><dt>

          <code><a href="purge_cache.html">purge_cache()</a></code>

        </dt>
        <dd>Purge a package's user-cache pins board</dd>
      </dl><dl><dt>

          <code><a href="purge_caches.html">purge_caches()</a></code>

        </dt>
        <dd>Purge all package user-cache pins boards</dd>
      </dl></div><div class="section level2">

      <h3 id="handle-objects">Handle objects<a class="anchor" aria-label="anchor" href="#handle-objects"></a></h3>
      <div class="section-desc"><p>Functions to cache/retrieve/delete results of a function call.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="hash_fn_call.html">hash_fn_call()</a></code>

        </dt>
        <dd>Hash a function call</dd>
      </dl><dl><dt>

          <code><a href="is_cached.html">is_cached()</a></code>

        </dt>
        <dd>Test whether an object exists in a package's user-cache pins board</dd>
      </dl><dl><dt>

          <code><a href="cache_obj.html">cache_obj()</a></code>

        </dt>
        <dd>Cache an object to a package's user-cache pins board</dd>
      </dl><dl><dt>

          <code><a href="get_obj.html">get_obj()</a></code>

        </dt>
        <dd>Get a cached object from a package's user-cache pins board</dd>
      </dl><dl><dt>

          <code><a href="rm_obj.html">rm_obj()</a></code>

        </dt>
        <dd>Delete a cached object from a package's user-cache pins board</dd>
      </dl></div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.</p>
</div>

    </footer></div>





  </body></html>

